varying vec2 v_texCoord;
varying vec4 v_fragmentColor;
void main(void)
{
    gl_FragColor = texture2D(CC_Texture0, v_texCoord) * v_fragmentColor;
    gl_FragColor.r *= 0.8;
    gl_FragColor.g *= 0.8;
    gl_FragColor.b *= 0.8;

//    float ratio = 1.0;
//    gl_FragColor.r += 250.0 / 255.0 * gl_FragColor.a * ratio;
//    gl_FragColor.g += 0.0 / 255.0 * gl_FragColor.a * ratio;
//    gl_FragColor.b += 17.0 / 255.0 * gl_FragColor.a * ratio;
    
    float color = 255.0;
    float a = 0.0;
    if(gl_FragColor.a > 0.01)
    {
        a = 1.0;
    }
    
    gl_FragColor.r = 250.0 / 255.0 * a;
    gl_FragColor.g = 0.0 / 255.0 * a;
    gl_FragColor.b = 17.0 / 255.0 * a;
    
}
