
varying vec4 v_fragmentColor; // vertex shader传入，setColor设置的颜色
varying vec2 v_texCoord; // 纹理坐标

uniform vec3 u_color ;    // 描边颜色
uniform float u_line_size ;    //描边偏移大小

void main()
{
    vec4 fragColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    gl_FragColor = vec4(u_color, fragColor.a);
}
