varying vec2 v_texCoord;
varying vec4 v_fragmentColor;


void main(void)
{
    float ratio = 1.0;
    gl_FragColor = texture2D(CC_Texture0, v_texCoord) * v_fragmentColor;
    gl_FragColor.r *= ratio;
    gl_FragColor.g *= ratio;
    gl_FragColor.b *= ratio;
    
    float color = 100.0;
    float a = gl_FragColor.a > 0.8?1.0:0.0;
    
    gl_FragColor.r += color / 255.0 * a;
    gl_FragColor.g += color / 255.0 * a;
    gl_FragColor.b += color / 255.0 * a;
}
